Bug 806503 - [abrt] kernel: BUG: sleeping function called from invalid context at kernel/mutex.c:271
[abrt] kernel: BUG: sleeping function called from invalid context at kernel/m...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:870033db34f44c0fcfbfebae18a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-24 05:20 EDT by Pavel Zhukov
Modified: 2012-04-03 14:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-03 14:53:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: smolt_data (5.24 KB, text/plain)
2012-03-24 05:20 EDT, Pavel Zhukov
no flags Details

  None (edit)
Description Pavel Zhukov 2012-03-24 05:20:46 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        ro root=/dev/mapper/vg_fedora-fedora17 rd_LVM_LV=vg_fedora/fedora17 rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
kernel:         3.3.0-0.rc5.git3.1.fc17.x86_64
reason:         BUG: sleeping function called from invalid context at kernel/mutex.c:271
time:           Fri 23 Mar 2012 08:49:11 PM MSK

smolt_data:     Text file, 5362 bytes

backtrace:
:BUG: sleeping function called from invalid context at kernel/mutex.c:271
:in_atomic(): 1, irqs_disabled(): 1, pid: 2607, name: pm-suspend
:INFO: lockdep is turned off.
:irq event stamp: 123573
:hardirqs last  enabled at (123573): [<ffffffff811a0c9d>] cmpxchg_double_slab.isra.34+0x14d/0x190
:hardirqs last disabled at (123572): [<ffffffff811a0bbe>] cmpxchg_double_slab.isra.34+0x6e/0x190
:softirqs last  enabled at (123514): [<ffffffff81069b34>] __do_softirq+0x154/0x380
:softirqs last disabled at (123509): [<ffffffff816a7e2c>] call_softirq+0x1c/0x30
:Pid: 2607, comm: pm-suspend Tainted: G        W    3.3.0-0.rc5.git3.1.fc17.x86_64 #1
:Call Trace:
: [<ffffffff810ca460>] ? print_irqtrace_events+0xd0/0xe0
: [<ffffffff810964cc>] __might_sleep+0x13c/0x200
: [<ffffffff81699c3e>] mutex_lock_nested+0x2e/0x3a0
: [<ffffffff8110b0b4>] irq_reserve_irqs+0x44/0xb0
: [<ffffffff8110e7b5>] irq_set_chip+0x55/0x70
: [<ffffffff8110eda0>] ? handle_fasteoi_irq+0x100/0x100
: [<ffffffff8110f1b6>] irq_set_chip_and_handler_name+0x26/0x50
: [<ffffffff8103d7fc>] arch_setup_hpet_msi+0xec/0x120
: [<ffffffff81041ecc>] hpet_setup_msi_irq+0x1c/0x40
: [<ffffffff81042233>] hpet_set_mode+0x1a3/0x1f0
: [<ffffffff81042294>] hpet_msi_set_mode+0x14/0x20
: [<ffffffff810c3849>] clockevents_set_mode+0x29/0x70
: [<ffffffff810c409c>] tick_notify+0x2ec/0x420
: [<ffffffff810c3718>] ? clockevents_notify+0x28/0x130
: [<ffffffff816a201e>] notifier_call_chain+0x6e/0x110
: [<ffffffff810919de>] __raw_notifier_call_chain+0xe/0x10
: [<ffffffff810919f6>] raw_notifier_call_chain+0x16/0x20
: [<ffffffff810c372d>] clockevents_notify+0x3d/0x130
: [<ffffffff810bddf9>] timekeeping_resume+0xf9/0x140
: [<ffffffff814126c4>] syscore_resume+0x44/0xe0
: [<ffffffff810b4e15>] suspend_devices_and_enter+0x415/0x4a0
: [<ffffffff810b5036>] enter_state+0x196/0x1d0
: [<ffffffff810b356a>] state_store+0xba/0x130
: [<ffffffff8131f17f>] kobj_attr_store+0xf/0x20
: [<ffffffff81234986>] sysfs_write_file+0xe6/0x160
: [<ffffffff811bb33f>] vfs_write+0xaf/0x190
: [<ffffffff811bb67d>] sys_write+0x4d/0x90
: [<ffffffff816a68e9>] system_call_fastpath+0x16/0x1b
Comment 1 Pavel Zhukov 2012-03-24 05:20:52 EDT
Created attachment 572416 [details]
File: smolt_data
Comment 2 Josh Boyer 2012-03-26 13:44:38 EDT
That is likely fixed in a newer kernel revision.  Please update and test.
Comment 3 Pavel Zhukov 2012-04-03 14:53:47 EDT
Fixed. There are not abrt after suspend-resume

Note You need to log in before you can comment on or make changes to this bug.